<template>
  <div class="fixed inset-0 z-20 bg-primary overflow-auto">
    <main class="max-w-quiz mx-auto shadow-2xl">
      <div class="px-5 py-8 bg-white">
        <div class="h1 mb-3">{{ referTitle }}</div>
        <p class="mb-5 whitespace-pre-wrap">{{ referInfo}} </p>
        <p class="mb-3">Did you make a mistake?</p>
        <common-btn
          text="Change your answer"
          @click="clearRefer"
          class="mb-5"
        />
        <p>For further assistance, or to speak to a patient care specialist, call <a class="text-green-n-black" href="tel:8664838644">(866) 483-8644</a></p>
      </div>
      <div class="px-5 py-8">
        <div class="h1 mb-3">And stay tuned...</div>
        <p class="mb-5">The Nava MD team is finalizing details for a line of natural ready-to-order skincare formulas that push the boundaries of performance. For information and updates, subscribe to our free online newsletter.</p>
        <text-input
          label="Email Address"
          type="email"
          class="mb-3"
        />
        <common-btn
          text="Subscribe"
        />
      </div>
    </main>
  </div>
</template>

<script>
import {answersMixin, referMixin} from "@/utils/mixins";

export default {
  mixins: [answersMixin, referMixin],
  name: "ReferOutModal",
  computed: {
    referTitle() {
      return this.refer?.title ?? 'ERR'
    },
    referInfo() {
      return this.refer?.info ?? 'ERR'
    },
  }
}
</script>

<style scoped>

</style>
